class DocumentWallItemDocumentation

This file provides property and method documentation for the model document_wall_item.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\SystemActionlog\Docs\ClassGenerated\Model\DocumentWallItemDocumentation to the model to get access to the properties.

Properties

int $id
int $document_index_id
int $rights_context_id
int $user_id
string $status:

enum new|update|delete

int $shared
?int $shared_document_index_id
int $followed_group_security_id
int $followed_user_id
int $followed_document_index_id
int $last_activity_at:

stored in MySQL as timestamp

int $updated_at:

stored in MySQL as timestamp

Methods

DocumentWallItem[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

DocumentWallItem[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 35
DocumentWallItem[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

DocumentWallItem[]

at line 35
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 35
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 35
DocumentWallItem[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

DocumentWallItem[]

at line 35
DocumentWallItem find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

DocumentWallItem